//  @import com.hedgehoglab.application.view.BaseView;


function GenericListView(scope){
    BaseView.call(this);
    var _this=this;
    
    _this.render_view=function(){
    	_this.render_template_with_view(scope.template,{model:scope.model.model()},{},function(rendered_template){
    		$(scope.element).html(rendered_template);
    		$(scope.element).removeClass('ajaxLoading');
    		$('.ajaxLoading',scope.element).removeClass('ajaxLoading');
    	});
    };
    
    scope.model.subscribe_to('model_changed',function(e){
    	_this.render_view();
    });
};